
TYPO3.Neos - Bug # 51302

Status: Resolved Priority: Should have
Author: Dominique Feyer Category:
Created: 2013-08-23 Assigned To: Dominique Feyer
Updated: 2013-10-01 Due date:
Subject: Node with object has property break PluginImplementation
Description

Currently Neos PluginImplementation use the Request argument to pass the node properties. This work fine for simple type, but break
with object. By using internal arguments, object can be passed with success.

This is a breaking change.

Associated revisions
Revision 78055b9f - 2013-10-01 16:38 - Dominique Feyer

[!!!][BUGFIX] Node with object property breaks PluginImplementation

Currently Neos PluginImplementation use the Request argument to pass the
node properties. This work fine for simple type, but break with object.
By using internal arguments, object can be passed with success.

This is a breaking change.

Change-Id: Ia2855efe4fd5c5aeb4515ae8ceb920f2d366de53
Resolves: #51302
Releases: master
Reviewed-on: https://review.typo3.org/23279
Reviewed-by: Dominique Feyer
Tested-by: Dominique Feyer
Reviewed-by: Sebastian Kurfuerst
Tested-by: Sebastian Kurfuerst

History
#1 - 2013-08-23 15:46 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23279

#2 - 2013-08-23 16:01 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23279

#3 - 2013-08-26 14:55 - Gerrit Code Review

2015-08-04 1/2

https://review.typo3.org/23279
https://review.typo3.org/23279
https://review.typo3.org/23279


Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23279

#4 - 2013-09-12 12:18 - Dominique Feyer
- Subject changed from PluginImplementation must handle argument has request internal argument to Node with object has property break 
PluginImplementation

#5 - 2013-09-29 23:08 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23279

#6 - 2013-09-29 23:22 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23279

#7 - 2013-09-30 18:24 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23279

#8 - 2013-10-01 17:35 - Dominique Feyer
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:78055b9feb6e97ce9f36c7751d0dfb2483abf85b.
